> ## Documentation Index
> Fetch the complete documentation index at: https://developer.easyparkgroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a car from a Parking User



## OpenAPI

````yaml delete /billing-accounts/{baId}/parking-users/{puId}/cars
openapi: 3.1.0
info:
  title: Partner API
  description: >

    Partner API is a collection of endpoints (currently available only in
    Europe) that allow EasyPark partners

    manage their parking users and cars. In this page you can find the general
    information regarding all the

    endpoints. For specific information please refer to the corresponding
    subsection.


    Note that this reference only contains information about our legacy
    endpoints that are to be sunsetted in

    2026. See 'Partner Reference' for the latest version of the Partner API.


    ## Addresses


    * Production: https://partner.europe.ezprk.net

    * Staging: https://partner.staging.ezprk.dev


    Requests and responses are in JSON format.


    ## Request timeout


    All the endpoints have a default timeout of 60 seconds.


    ## Errors


    All errors returned to the API user are structured in the following way:


    ```json
        {
            "timestamp": "2021-02-25T14:40:21.333+00:00",
            "path": "/billing-accounts/2220564/parking-users",
            "status": 400,
            "error": "Bad Request",
            "message": "email must not be blank",
            "requestId": "4ba1b9d0"
        }
    ```
  version: '2025.05'
servers:
  - url: https://partner.staging.ezprk.dev
    description: Staging
  - url: https://partner.europe.ezprk.net
    description: Production
security: []
tags:
  - name: Parking Users
    description: Manage parking users.
  - name: Fleet Cars
    description: Manage cars in the default fleet.
  - name: Login
    description: Authenticate with the EasyPark API
paths:
  /billing-accounts/{baId}/parking-users/{puId}/cars:
    delete:
      tags:
        - Parking Users
      summary: Remove a car from a Parking User
      operationId: deleteCarFromParkingUser
      parameters:
        - name: baId
          in: path
          description: ID of the Billing Account.
          required: true
          schema:
            type: integer
            format: int64
        - name: puId
          in: path
          description: ID of the Parking User.
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CarDto'
        required: true
      responses:
        '200':
          description: OK
      security:
        - jwt: []
components:
  schemas:
    CarDto:
      type: object
      properties:
        licenseNumber:
          type: string
          description: >-
            Must not be empty; must not be longer than 10 characters; must
            contain only numbers and uppercase letters
        countryCode:
          type: string
          description: Must not be empty; must belong to the list of ISO 3166-2 codes.
          minLength: 1
      required:
        - countryCode
  securitySchemes:
    jwt:
      type: http
      description: You can get the JWT from the Login endpoint.
      scheme: bearer
      bearerFormat: Bearer JWT

````